# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%if !%buildfor7_2
Name:		kde-i18n-zh_TW.Big5
%else
Name:		kde-i18n-Chinese-Big5
%endif
Summary:	Chinese (Big5) language support for KDE
Version:	2.2.1
Release:	2mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Chinese-Big5
%endif
Requires:	locales-zh
BuildArch:	noarch

%description
Chinese (Big5) language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/zh_TW.Big5/
%dir %_docdir/HTML/zh_TW.Big5/common/
%doc %_docdir/HTML/zh_TW.Big5/common/fdl-license
%doc %_docdir/HTML/zh_TW.Big5/common/gpl-license
%doc %_docdir/HTML/zh_TW.Big5/common/*.css
%doc %_docdir/HTML/zh_TW.Big5/common/*.dcl
%doc %_docdir/HTML/zh_TW.Big5/common/*.html
%doc %_docdir/HTML/zh_TW.Big5/common/*.png
#
#
%dir %_docdir/HTML/zh_TW.Big5/khelpcenter/
%doc %_docdir/HTML/zh_TW.Big5/khelpcenter/*.docbook
#
#
#
%dir %_datadir/locale/
%dir %_datadir/locale/zh_TW/
%_datadir/locale/zh_TW/charset
%_datadir/locale/zh_TW/*.desktop
%_datadir/locale/zh_TW/*.png
#
#
%dir %_datadir/locale/zh_TW/LC_MESSAGES/
%_datadir/locale/zh_TW/LC_MESSAGES/*.mo


%changelog
* Fri Sep 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Update code

* Wed Sep 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Wed Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk 
- remove koffice message

* Wed Aug 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Thu Mar 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Fix Requires

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
